cuetools(1)

NAME
cueprint

DESCRIPTION
cueprint - print disc and track infomation for a cue or toc file

SYNOPSIS
cueprint [option...] [file...]

OPTIONS

-h, --help
    print usage information

-i, --input-format cue|toc
    set format of file(s)

-n, --track-number <number>
    only print track information for single track. The default is to print information for all tracks.

-d, --disc-template <template>
    set disc template (see TEMPLATE EXPANSION)

-t, --track-template <template>
    set track template (see TEMPLATE EXPANSION)

TEMPLATE EXPANSION
All characters in the template are reproduced in the output except for conversions, which begin with `%'.

A conversion has the form `%[flags][width][.precision]<conversion-char>'.

There may be zero or more of the following flags:

-   left justification

+   place sign before numbers

` ' (space) place a space before a positive number

0   pad with zeros

#   (unused)

width is the minimum field width. precision is the maximum width for strings.

Disc template expansion characters are valid for both the disc and track templates.

Disc Conversion Specifiers

A   album arranger

C   album composer

G   album genre

M   album message

N   number of tracks

P   album performer

S   album songwriter

T   album title

U   album UPC/EAN

Track Conversion Specifiers

a   track arranger

c   track composer

g   track genre

i   track ISRC

m   track message

n   track number

p   track perfomer

t   track title

u   track ISRC (CD-TEXT)

Any other character is expanded to that character. For example, a % expands to a literal `%'.

ESCAPES
The following single-character escapes are recognized:

\a  alert (bell)

\b  backspace

\f  formfeed

\n  newline

\r  carriage return

\t  horizontal tab

\v  vertial tab

\0  NULL

NOTES
If no files are specified, stdin is used. If a filename is specified and the format is not specified, the format will be set based on a ".cue" or ".toc" suffix.

EXAMPLES
To display disc and track information (using the default template for both), run:

% cueprint album.cue

To print the number of tracks in a cue file, run:

% cueprint -d '%N\n' album.cue

AUTHOR
Svend Sorensen

SEE ALSO
cueconvert(1), cuebreakpoints(1)